Bug 575185 - Review Request: python-bunch - python dictionary with attribute-style access
Summary: Review Request: python-bunch - python dictionary with attribute-style access
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-19 17:10 UTC by Toshio Ernie Kuratomi
Modified: 2010-06-03 15:01 UTC (History)
3 users (show)

Fixed In Version: python-bunch-1.0.0-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-20 18:40:24 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Toshio Ernie Kuratomi 2010-03-19 17:10:48 UTC
Spec URL: http://toshio.fedorapeople.org/packages/python-bunch.spec
SRPM URL: http://toshio.fedorapeople.org/packages/python-bunch-1.0.0-1.fc12.src.rpm
Description:
python-bunch provides a python class which can perform as a dict whose keys are
also accessible as attributes, similar to JavaScript objects.  For instance::

  >>> import bunch
  >>> people = bunch.Bunch({'alice': 'here', 'bob': 'there'})
  >>> print people['alice'], people.alice
  here here

The piece of python-bunch that sets it apart from similar modules found inside
other projects is the bunchify() function which recursively converts from
a dict to a Bunch::

  >>> multi_level = {'array': ['scalar', {'mapping': 'to show recursion'} ]}
  >>> bunch.bunchify(multi_level)
  Bunch(array=['scalar', Bunch(mapping='to show recursion')])

Comment 1 Toshio Ernie Kuratomi 2010-03-19 17:13:10 UTC
rpmlint notes the following:

python-bunch.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/bunch/__init__.py 0644 /usr/bin/env

  This file has doctests in it and a driver for the doctests.

python-bunch.src: W: spelling-error %description -l en_US alice -> Alice, slice, alive
python-bunch.src: W: spelling-error %description -l en_US bunchify -> bunchy, Bunche, bunch
python-bunch.src: W: spelling-error %description -l en_US multi -> mulch, mufti

  These are part of the example code in the description

Comment 2 Toshio Ernie Kuratomi 2010-03-19 17:32:41 UTC
Scratch build F12: http://koji.fedoraproject.org/koji/taskinfo?taskID=2063387
Scratch build F14: http://koji.fedoraproject.org/koji/taskinfo?taskID=2063375

Comment 3 Parag AN(पराग) 2010-05-10 03:57:38 UTC
Sorry was busy and away last weekend.

+ is ok
- is Needs work

Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=2176218

+ rpmlint output for SRPM and for RPM.
python-bunch.src: W: spelling-error %description -l en_US alice -> Alice, slice, alive
python-bunch.src: W: spelling-error %description -l en_US bunchify -> bunchy, Bunche, bunch
python-bunch.src: W: spelling-error %description -l en_US multi -> mulch, mufti
python-bunch.noarch: W: spelling-error %description -l en_US alice -> Alice, slice, alive
python-bunch.noarch: W: spelling-error %description -l en_US bunchify -> bunchy, Bunche, bunch
python-bunch.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
python-bunch.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/bunch/__init__.py 0644L /usr/bin/env
2 packages and 0 specfiles checked; 1 errors, 6 warnings.
==> All these can be ignored and are false messages.

+ source files match upstream url (sha1sum)
d6f0d0f626218b5c955f233d4d45ef18727ff4ea  bunch-1.0.0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
- BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no -devel subpackage
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application

Suggestions:
1) we can remove build time dependency on dos2unix by using sed in %prep
See https://fedoraproject.org/wiki/Packaging_tricks#Remove_DOS_line_endings
also good if timestamps are preserved.


APPROVED.

Comment 4 Toshio Ernie Kuratomi 2010-05-10 04:53:21 UTC
Thanks Parag!

New Package CVS Request
=======================
Package Name: python-bunch
Short Description: python dictionary with attribute-style access
Owners: toshio
Branches: F-11 F-12 F-13 EL-5
InitialCC:

Comment 5 Kevin Fenzi 2010-05-11 04:40:43 UTC
CVS done (by process-cvs-requests.py).

Comment 6 Fedora Update System 2010-05-12 10:09:16 UTC
python-bunch-1.0.0-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-bunch-1.0.0-1.el5

Comment 7 Fedora Update System 2010-05-12 10:09:36 UTC
python-bunch-1.0.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-bunch-1.0.0-1.fc12

Comment 8 Fedora Update System 2010-05-12 10:09:40 UTC
python-bunch-1.0.0-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-bunch-1.0.0-1.fc13

Comment 9 Fedora Update System 2010-05-12 10:09:46 UTC
python-bunch-1.0.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-bunch-1.0.0-1.fc11

Comment 10 Toshio Ernie Kuratomi 2010-05-12 10:12:40 UTC
Package Change Request
======================
Package Name: python-bunch
New Branches: EL-6
Owners: toshio

Comment 11 Fedora Update System 2010-05-12 17:54:28 UTC
python-bunch-1.0.0-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-bunch'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-bunch-1.0.0-1.fc11

Comment 12 Fedora Update System 2010-05-12 17:58:34 UTC
python-bunch-1.0.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-bunch'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-bunch-1.0.0-1.fc12

Comment 13 Fedora Update System 2010-05-12 18:01:18 UTC
python-bunch-1.0.0-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-bunch'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-bunch-1.0.0-1.fc13

Comment 14 Fedora Update System 2010-05-14 01:06:10 UTC
python-bunch-1.0.0-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-bunch'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-bunch-1.0.0-1.el5

Comment 15 Fedora Update System 2010-05-20 18:40:19 UTC
python-bunch-1.0.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-05-20 18:47:36 UTC
python-bunch-1.0.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-05-20 18:49:51 UTC
python-bunch-1.0.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-06-03 15:01:05 UTC
python-bunch-1.0.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.